Bug 120142 - 3.2.0 doc addition, section 1.7, point out that on new versions rhn_register is a symlink to up2date
3.2.0 doc addition, section 1.7, point out that on new versions rhn_register ...
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Documentation (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Clay Murphy
Fanny Augustin
: Documentation, FutureFeature
Depends On:
Blocks: 119397
  Show dependency treegraph
Reported: 2004-04-06 08:08 EDT by Patrick C. F. Ernzer
Modified: 2009-08-19 23:04 EDT (History)
1 user (show)

See Also:
Fixed In Version: rhn3.3
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-14 14:27:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Patrick C. F. Ernzer 2004-04-06 08:08:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040124

Description of problem:
We should point out that newer versions of up2date actually include

Version-Release number of selected component (if applicable):

Actual Results:  we do explain the old rhn_register but fail to
explain that (on RHEL 3 for example) we now have rhn_register
functionality in up2date and that the former is only a symlink to the

Expected Results: Explain the above and also explain that on first use
up2date will act like it was called as 'up2date --register'

Additional info:

I do not know at which version we started this, up2date-4.2.5-1
includes the register functionality, in up2date-2.9.3-2.2.1AS there
still is a separate rhn_register-2.9.3-1.2.1AS
Comment 1 Patrick C. F. Ernzer 2004-04-06 12:04:03 EDT
the comment also applies to section 6.1 Configuring the Red Hat
Network Registration client
Comment 2 Clay Murphy 2004-04-13 18:30:43 EDT
Yeah, I tried to address this in the chapters and sections
specifically describing up2date and rhn_register (see the Warning at
the beginning of chapters 2 and 6 and the first paragraph of section
2.2. Registration for examples) but this really should be brought up
at the first reference to the tools, in this case, the section you

While I'm doing this, I'll also remove references to old, deprecated
RHL versions and add a mention of RHEL 3.

Accepting, aligning to the next (3.3.0) release, marking customer
facing, and blocking the 330 doc tracking bug.
Comment 3 Clay Murphy 2004-04-16 20:23:43 EDT
Alrighty, I've explained fully in this section that RHEL 2.1 users
need to use rhn_register but RHEL 3 customers have registration
functionality built into up2date.

Perhaps more importantly, I've used this task as a springboard to
remove all references to RHL systems, as the last (RHL 9) is reaching
its end of life before the next RHN release. This affected all of the
Notes and Warnings describing the rhn_register requirement for older
distributions scattered throughout the RHUA and RHNRC client chapters,
as well as other areas. In fact, no RHL references should now exist in
the reference guide whatsoever.
Comment 4 Todd Warner 2005-09-14 14:27:26 EDT
Done a long time ago. Closing.

Note You need to log in before you can comment on or make changes to this bug.